> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Regions

> Returns the list of regions associated with the authenticated legal entity.



## OpenAPI

````yaml /openapi_v2.json get /v2/regions
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/regions:
    get:
      summary: List Regions
      description: >-
        Returns the list of regions associated with the authenticated legal
        entity.
      operationId: list_regions_handler_v2_regions_get
      parameters:
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlatformRegion'
                title: Response List Regions Handler V2 Regions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PlatformRegion:
      properties:
        region:
          $ref: '#/components/schemas/PlatformRegionRef'
        config:
          $ref: '#/components/schemas/PlatformRegionConfig'
      type: object
      required:
        - region
        - config
      title: PlatformRegion
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PlatformRegionRef:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - code
        - name
      title: PlatformRegionRef
    PlatformRegionConfig:
      properties:
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Employee Count
      type: object
      required:
        - employee_count
      title: PlatformRegionConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````